de.dhbwstuttgart.syntaxtree.modifier

## Class Modifier

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.modifier.Modifier

Direct Known Subclasses:
  Abstract, Final, InterfaceModifier, Private, Protected, Public, Static, Super

    public abstract class Modifier
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Modifier()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract short` `getBitmask()` Liefert den Wert des Access-Modifiers fuer die Bytecode-Generierung zurueck.
`abstract JavaCodeResult` `printJavaCode(ResultSet resultSet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Modifier

    public Modifier()

### Method Detail

#### getBitmask

    public abstract short getBitmask()

Liefert den Wert des Access-Modifiers fuer die Bytecode-Generierung zurueck.

#### printJavaCode

    public abstract JavaCodeResult printJavaCode(ResultSet resultSet)